/* Header */
/* Header */
/* Header */
#Header {
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color-2);
}

#Nav {
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 100px;
  animation: fadeInDown 1s both 0.2s;
  background-color: transparent;
  background-color: var(--color-2);
  box-shadow: 1px 1px 150px 0px var(--color-1);
  z-index: 1000;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

#NavContainer {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

#NavRow {
  position: relative;
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

/* Nav Col 1 */
/* Nav Col 1 */
/* Nav Col 1 */
#NavCol1 {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: 15%;
  height: 100%;
}

.navbar-brand {
  cursor: pointer;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 8px;
  text-transform: uppercase;
  font-family: var(--font-1);
  letter-spacing: -2px;
  font-weight: 100 !important;
  color: var(--color-3);
  filter: drop-shadow(5px 5px 10px var(--color-1));
}

.navbar-brand:hover,
.navbar-brand:focus {
  outline: transparent;
  color: var(--color-3);
}

#NavbarBrandIcon1 {
  font-size: 10px;
  color: var(--color3);
}

#NavbarBrandIcon2 {
  font-size: 30px;
  color: var(--color-3);
}

/* Nav Col 1 */
/* Nav Col 1 */
/* Nav Col 1 */

/* Nav Col 2 */
/* Nav Col 2 */
/* Nav Col 2 */
#NavCol2 {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 80%;
  height: 100%;
}

#Navul {
  gap: 20px;
}

.dropdown-box {
  position: relative;
  display: inline-flex;
  align-items: center;
}

.dropdown-box-btn {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  outline: 1px solid var(--color-1);
  text-shadow: 0 0 10px var(--color-1), 0 0 20px var(--color-1),
    0 0 30px var(--color-1), 0 0 40px var(--color-1), 0 0 50px var(--color-1),
    0 0 60px var(--color-1), 0 0 70px var(--color-1);
  border-radius: 10px;
  gap: 5px;
  color: var(--color-3);
  font-family: var(--font-3);
  font-weight: 300;
  letter-spacing: 1px;
  font-size: 15px;
}

#dropdown-box-btn-icon {
  color: var(--color-3);
  font-size: 15px;
}

.dropdown-box-content {
  transition: all 0.2s linear;
  position: absolute;
  width: 230px;
  height: 120px;
  top: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 5px;
  border-radius: 0 30px 0 30px;
  background-color: var(--color-2);
  box-shadow: 0px 0px 30px var(--color-1);
  transform: scaleY(0);
  transform-origin: top;
  transition: all 0.2s linear;
}

.dropdown-box-item {
  transition: all 0.2s linear;
  width: 100%;
  color: var(--color-3);
  text-shadow: 0 0 20px var(--color-1), 0 0 30px var(--color-1),
    0 0 40px var(--color-1), 0 0 50px var(--color-1), 0 0 60px var(--color-1),
    0 0 70px var(--color-1), 0 0 80px var(--color-1);
  font-family: var(--font-1);
  font-weight: 400;
  font-size: 15px;
}

.divider {
  width: 230px;
  border-top: 1px solid var(--color-3);
}

.dropdown-box:hover .dropdown-box-content {
  transition: all 0.2s linear;
  transform: scaleY(1);
}

/* Nav Col 2 */
/* Nav Col 2 */
/* Nav Col 2 */

/* Nav Col 3 */
/* Nav Col 3 */
/* Nav Col 3 */
#NavCol3 {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: 15%;
  height: 100%;
}

.nav-hire-btn {
  transition: all 0.2s linear;
  font-family: var(--font-1);
  font-size: 15px;
  font-weight: 500;
  box-shadow: 0px 0px 30px var(--color-1);
  border-radius: 5px 5px 5px 40px;
  color: var(--color-3);
  background-color: var(--color-2);
  padding-left: 2.5rem;
  padding-right: 2.5rem;
  padding-top: 1.2rem;
  padding-bottom: 1.2rem;
}

.nav-hire-btn:hover {
  transition: all 0.2s linear;
  outline: 1px solid var(--color-3);
  box-shadow: 0px 0px 30px var(--color-3);
}

/* Nav Col 3 */
/* Nav Col 3 */
/* Nav Col 3 */

/* Header */
/* Header */
/* Header */

/* Small Screen */
/* Small Screen */
/* Small Screen */

#MenuIcon {
  display: none;
  align-items: center;
  justify-content: center;
  position: absolute;
  right: 0;
  color: var(--color-1);
  width: 25px;
  height: 25px;
}

#CloseIcon {
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--color-1);
}

.offcanvas {
  width: 100% !important;
  height: 100% !important;
  background-color: var(--color-2);
}

.offcanvas-header {
  background-color: var(--color-2);
}
.offcanvas-header-content {
  padding-left: 152px;
  padding-right: 152px;
}
.offcanvas-body {
  background-image: url(./Images/Portfolio-Img.jpg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.offcanvas-dropdown {
  width: 100%;
}

.offcanvas-dropdown-link {
  transition: all 0.2s ease-in-out;
  padding-top: 0.8rem;
  padding-bottom: 0.8rem;
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: center;
  gap: 5px;
  color: var(--color-3);
  font-size: 15px;
  font-family: var(--font-1);
  background-color: var(--color-2);
  z-index: 1;
}

.offcanvas-dropdown-link-icon {
  color: var(--color-3);
  font-size: 11px;
  font-weight: 900;
}

.offcanvas-dropdown-link {
  border-bottom: 1px solid var(--color-1);
}

.offcanvas-dropdown-link:hover {
  color: var(--color-3);
}

.offcanvas-dropdown-link:hover .offcanvas-dropdown-link-icon {
  font-weight: 900;
  color: var(--color-3);
}

.offcanvas-dropdown-link::before {
  transition: all 0.2s ease-in-out;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: -100%;
  left: 0;
  background-color: var(--color-1);
  z-index: -1;
}

.offcanvas-dropdown-link:hover:before {
  transition: all 0.2s ease-in-out;
  top: 0;
}

.offcanvas-dropdown-icon {
  transition: background-color 0.2s ease-in-out;
  border-left: 1px solid var(--color-1);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='48' height='48' fill='rgba(0, 191, 2557)'%3E%3Cpath fill='none' d='M0 0h24v24H0z'%3E%3C/path%3E%3Cpath d='M11 11V5H13V11H19V13H13V19H11V13H5V11H11Z'%3E%3C/path%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 25px;
  width: 49px;
  height: 49px;
  background-color: var(--color-2);
  border-bottom: 1px solid var(--color-1);
}

.offcanvas-dropdown-icon:hover {
  transition: background-color 0.2s ease-in-out;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='48' height='48' fill='rgb(0, 0, 0)'%3E%3Cpath fill='none' d='M0 0h24v24H0z'%3E%3C/path%3E%3Cpath d='M11 11V5H13V11H19V13H13V19H11V13H5V11H11Z'%3E%3C/path%3E%3C/svg%3E");
  background-color: var(--color-3);
}

.offcanvas-dropdown-icon.offcanvasdropdowniconactive {
  transition: background-color 0.2s ease-in-out;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='48' height='48'  fill='rgba(0, 191, 2557)'%3E%3Cpath fill='none' d='M0 0h24v24H0z'%3E%3C/path%3E%3Cpath d='M5 11V13H19V11H5Z'%3E%3C/path%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 25px;
  width: 49px;
  height: 49px;
  background-color: var(--color-2);
}

.offcanvasdropdowniconactive:hover {
  transition: background-color 0.2s ease-in-out;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='48' height='48'  fill='rgb(0, 0, 0)'%3E%3Cpath fill='none' d='M0 0h24v24H0z'%3E%3C/path%3E%3Cpath d='M5 11V13H19V11H5Z'%3E%3C/path%3E%3C/svg%3E");
  background-color: var(--color-3);
}

.offcanvas-dropdown-box {
  background-color: var(--color-2);
  border-bottom: 1px solid var(--color-1);
  width: 100%;
  display: none;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.offcanvas-dropdown-box.offcanvasdropdownboxactive {
  display: flex;
}

.offcanvas-dropdown-item {
  transition: all 0.3s ease-in-out;
  width: 100%;
  font-size: 15px;
  font-family: var(--font-2);
  color: var(--color-3);
  font-weight: 900;
  letter-spacing: -1px;
  word-spacing: 2px;
}

.offcanvas-dropdown-item:hover {
  transition: all 0.3s ease-in-out;
  background-color: var(--color-2);
  color: var(--color-1);
}

/* Small Screen */
/* Small Screen */
/* Small Screen */
